# Uses of Class
java.nio.channels.SocketChannel

Packages that use SocketChannel
Package
Description
java.net
Provides the classes for implementing networking applications.
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.

## Uses of SocketChannel in java.net

Methods in java.net that return SocketChannel
Modifier and Type
Method
Description
`SocketChannel`
Socket.`getChannel()`
Returns the unique `SocketChannel` object associated with this socket, if any.

## Uses of SocketChannel in java.nio.channels

Methods in java.nio.channels that return SocketChannel
Modifier and Type
Method
Description
`abstract SocketChannel`
ServerSocketChannel.`accept()`
Accepts a connection made to this channel's socket.
`abstract SocketChannel`
SocketChannel.`bind(SocketAddress local)`
Binds the channel's socket to a local address.
`static SocketChannel`
SocketChannel.`open()`
Opens a socket channel for an Internet protocol socket.
`static SocketChannel`
SocketChannel.`open(ProtocolFamily family)`
Opens a socket channel.
`static SocketChannel`
SocketChannel.`open(SocketAddress remote)`
Opens a socket channel and connects it to a remote address.
`abstract <T> SocketChannel`
SocketChannel.`setOption(SocketOption<T> name, T value)`
`abstract SocketChannel`
SocketChannel.`shutdownInput()`
Shutdown the connection for reading without closing the channel.
`abstract SocketChannel`
SocketChannel.`shutdownOutput()`
Shutdown the connection for writing without closing the channel.

## Uses of SocketChannel in java.nio.channels.spi

Methods in java.nio.channels.spi that return SocketChannel
Modifier and Type
Method
Description
`abstract SocketChannel`
SelectorProvider.`openSocketChannel()`
Opens a socket channel.
`SocketChannel`
SelectorProvider.`openSocketChannel(ProtocolFamily family)`
Opens a socket channel.